Bug 312451 - Gwenview presentation with video: freeze and crash
Summary: Gwenview presentation with video: freeze and crash
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 2.10.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-01 12:23 UTC by Francesco Frassinelli
Modified: 2013-01-21 09:01 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments
New crash information added by DrKonqi (49.87 KB, text/plain)
2013-01-02 10:27 UTC, Francesco Frassinelli
Details
check if mActivityResources contains a NULL pointer for view (477 bytes, patch)
2013-01-02 14:34 UTC, Benni Hill
Details
New crash information added by DrKonqi (8.19 KB, text/plain)
2013-01-02 16:59 UTC, Francesco Frassinelli
Details
Don't set current view if mActivityResources doesn't contain it (424 bytes, patch)
2013-01-02 19:52 UTC, Benni Hill
Details
Another approach to fix the crash (2.25 KB, patch)
2013-01-03 16:24 UTC, Aurelien Gateau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francesco Frassinelli 2013-01-01 12:23:47 UTC
Application: gwenview (2.10.0)
KDE Platform Version: 4.9.95
Qt Version: 4.8.4
Operating System: Linux 3.6.11-3.fc18.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:
I was looking some photos and videos from the DCIM directory of my Nokia N9, configured as external storage. I have about ~1250 photos and small videos in the same directory. I launched Gwenview clicking on the first file in Dolphin, then I pressed F11 for starting the presentation. I used the right key to move to the next file. The first video was played correctly but, at the end, the right key didn't work. So, i pressed F11, but it didn't work. After few seconds, I pressed ESC, F1, F2, F3 quickly trying to to quit the presentation: Gwenview seemed completely freeze, but the cursor was showed. Moving the cursors on the top-left corner, I was able to look to my application (KWin effects were on). At the end I pressed on Gwenview, it has been maximized and it crashed instantly

-- Backtrace:
Application: Gwenview (gwenview), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f8e5a88a880 (LWP 1931))]

Thread 13 (Thread 0x7f8e4dac4700 (LWP 1933)):
#0  0x00000030170e97ed in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003019447d44 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#2  0x0000003019447e64 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00000030205a60f6 in QEventDispatcherGlib::processEvents (this=0x7f8e480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00000030205767df in QEventLoop::processEvents (this=this@entry=0x7f8e4dac3cd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x0000003020576a68 in QEventLoop::exec (this=0x7f8e4dac3cd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x0000003020478950 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x000000302055700f in QInotifyFileSystemWatcherEngine::run (this=0x11a6440) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x000000302047b92c in QThreadPrivate::start (arg=0x11a6440) at thread/qthread_unix.cpp:338
#9  0x0000003017407d15 in start_thread (arg=0x7f8e4dac4700) at pthread_create.c:308
#10 0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 12 (Thread 0x7f8e47bfe700 (LWP 1939)):
#0  0x000000301740e0cd in write () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003019484151 in g_wakeup_signal () from /lib64/libglib-2.0.so.0
#2  0x000000302057b04a in QCoreApplication::postEvent (receiver=0x10da6a0, event=0x7f8e3c003f80, priority=<optimized out>) at kernel/qcoreapplication.cpp:1392
#3  0x0000003028614a85 in Soprano::Client::LocalSocketClient::disconnect (this=0x10da130) at /usr/src/debug/soprano-2.8.0/client/localsocketclient.cpp:133
#4  0x000000302a852ab0 in init (forced=<optimized out>, this=<optimized out>) at /usr/src/debug/kdelibs-4.9.95/nepomuk/core/nepomukmainmodel.cpp:89
#5  model (this=0x10da130) at /usr/src/debug/kdelibs-4.9.95/nepomuk/core/nepomukmainmodel.cpp:105
#6  Nepomuk::MainModel::executeQuery (this=0x10d9a90, query=..., language=Soprano::Query::QueryLanguageSparql, userQueryLanguage=...) at /usr/src/debug/kdelibs-4.9.95/nepomuk/core/nepomukmainmodel.cpp:192
#7  0x000000302a8484e8 in Nepomuk::ResourceData::determineUri (this=0x7f8e3c002950) at /usr/src/debug/kdelibs-4.9.95/nepomuk/core/resourcedata.cpp:718
#8  0x000000302a85bdb9 in Nepomuk::Resource::determineFinalResourceData (this=this@entry=0x7f8e47bfdc40) at /usr/src/debug/kdelibs-4.9.95/nepomuk/core/resource.cpp:996
#9  0x000000302a85c514 in Nepomuk::Resource::property (this=this@entry=0x7f8e47bfdc40, uri=...) at /usr/src/debug/kdelibs-4.9.95/nepomuk/core/resource.cpp:302
#10 0x000000302a85ea1d in Nepomuk::Resource::rating (this=0x7f8e47bfdc40) at /usr/src/debug/kdelibs-4.9.95/nepomuk/core/resource.cpp:845
#11 0x0000003027ae40c6 in Gwenview::RetrieveTask::execute (this=0x1a92880) at /usr/src/debug/gwenview-4.9.95/lib/semanticinfo/nepomuksemanticinfobackend.cpp:69
#12 0x0000003027ae47f9 in Gwenview::SemanticInfoThread::run (this=0x108a620) at /usr/src/debug/gwenview-4.9.95/lib/semanticinfo/nepomuksemanticinfobackend.cpp:152
#13 0x000000302047b92c in QThreadPrivate::start (arg=0x108a620) at thread/qthread_unix.cpp:338
#14 0x0000003017407d15 in start_thread (arg=0x7f8e47bfe700) at pthread_create.c:308
#15 0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 11 (Thread 0x7f8e46bfc700 (LWP 3559)):
#0  __pthread_mutex_lock_full (mutex=0x2246660) at pthread_mutex_lock.c:308
#1  0x0000003033641d7e in pa_mutex_lock () from /usr/lib64/pulseaudio/libpulsecommon-2.1.so
#2  0x0000003033231d69 in poll_func () from /lib64/libpulse.so.0
#3  0x00000030332232bc in pa_mainloop_poll () from /lib64/libpulse.so.0
#4  0x0000003033223919 in pa_mainloop_iterate () from /lib64/libpulse.so.0
#5  0x00000030332239d0 in pa_mainloop_run () from /lib64/libpulse.so.0
#6  0x0000003033231d0f in thread () from /lib64/libpulse.so.0
#7  0x0000003033642c73 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-2.1.so
#8  0x0000003017407d15 in start_thread (arg=0x7f8e46bfc700) at pthread_create.c:308
#9  0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 10 (Thread 0x7f8e2efc7700 (LWP 3560)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000301948501f in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x0000003033e82f73 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#3  0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#4  0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x0000003017407d15 in start_thread (arg=0x7f8e2efc7700) at pthread_create.c:308
#6  0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 9 (Thread 0x7f8e2e7c6700 (LWP 3561)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000301948501f in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f8e44fdfe95 in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x00007f8e44dada2c in gst_stream_synchronizer_sink_chain () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#6  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#7  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#8  0x00007f8e44fd6efd in gst_selector_pad_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#9  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#11 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#12 0x00007f8e2ce3af72 in gst_ffmpegdec_frame () from /usr/lib64/gstreamer-0.10/libgstffmpeg.so
#13 0x00007f8e2ce3e482 in gst_ffmpegdec_chain () from /usr/lib64/gstreamer-0.10/libgstffmpeg.so
#14 0x0000003033e5952e in gst_pad_chain_data_unchecked () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003033e59e3e in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003033e5cd03 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#17 0x000000303421344a in gst_base_parse_push_frame () from /lib64/libgstbase-0.10.so.0
#18 0x000000303421448e in gst_base_parse_handle_and_push_frame.isra.7 () from /lib64/libgstbase-0.10.so.0
#19 0x0000003034215442 in gst_base_parse_chain () from /lib64/libgstbase-0.10.so.0
#20 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#21 0x00007f8e44fdc751 in gst_multi_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#22 0x0000003033e82da4 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#23 0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#24 0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#25 0x0000003017407d15 in start_thread (arg=0x7f8e2e7c6700) at pthread_create.c:308
#26 0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 8 (Thread 0x7f8e275be700 (LWP 3563)):
#0  0x000000301740e0cd in write () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003019484151 in g_wakeup_signal () from /lib64/libglib-2.0.so.0
#2  0x000000302057b04a in QCoreApplication::postEvent (receiver=0x154cc90, event=0x7f8e1c003b70, priority=<optimized out>) at kernel/qcoreapplication.cpp:1392
#3  0x000000302058d1e5 in queued_activate (argv=0x7f8e275bc4d0, c=0x1f3caa0, signal=12, sender=0x1f1ecb0) at kernel/qobject.cpp:3423
#4  QMetaObject::activate (sender=0x1f1ecb0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3499
#5  0x00007f8e4c343035 in Phonon::Gstreamer::MediaObject::handleAboutToFinish() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#6  0x00007f8e4c34612b in Phonon::Gstreamer::MediaObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#7  0x000000302058cebf in QMetaObject::activate (sender=0x1f1eba0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#8  0x000000301a80fb0b in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#9  0x000000301a8283a8 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#10 0x000000301a828de2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#11 0x00007f8e44d8d4a2 in drained_cb () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#12 0x000000301a80fb0b in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#13 0x000000301a8283a8 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#14 0x000000301a828de2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#15 0x000000301a80fb0b in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#16 0x000000301a8283a8 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#17 0x000000301a828de2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#18 0x00007f8e2fdeae12 in drain_and_switch_chains () from /usr/lib64/gstreamer-0.10/libgstdecodebin2.so
#19 0x00007f8e2fdeb1af in drain_and_switch_chains () from /usr/lib64/gstreamer-0.10/libgstdecodebin2.so
#20 0x00007f8e2fdee5db in source_pad_event_probe () from /usr/lib64/gstreamer-0.10/libgstdecodebin2.so
#21 0x0000003033e9aea9 in gst_marshal_BOOLEAN__POINTER () from /lib64/libgstreamer-0.10.so.0
#22 0x000000301a80f910 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#23 0x000000301a820d08 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#24 0x000000301a827e5b in g_signal_emitv () from /lib64/libgobject-2.0.so.0
#25 0x0000003033e2509a in gst_pad_emit_have_data_signal () from /lib64/libgstreamer-0.10.so.0
#26 0x0000003033e5e05c in gst_pad_push_event () from /lib64/libgstreamer-0.10.so.0
#27 0x0000003033e48773 in gst_proxy_pad_event_default () from /lib64/libgstreamer-0.10.so.0
#28 0x0000003033e5dbe5 in gst_pad_send_event () from /lib64/libgstreamer-0.10.so.0
#29 0x0000003033e5e142 in gst_pad_push_event () from /lib64/libgstreamer-0.10.so.0
#30 0x00007f8e2ce3ca32 in gst_ffmpegdec_sink_event () from /usr/lib64/gstreamer-0.10/libgstffmpeg.so
#31 0x0000003033e5dbe5 in gst_pad_send_event () from /lib64/libgstreamer-0.10.so.0
#32 0x0000003033e5e142 in gst_pad_push_event () from /lib64/libgstreamer-0.10.so.0
#33 0x0000003033e5ebc4 in gst_pad_event_default () from /lib64/libgstreamer-0.10.so.0
#34 0x0000003034215f22 in gst_base_parse_sink_event () from /lib64/libgstbase-0.10.so.0
#35 0x0000003033e5dbe5 in gst_pad_send_event () from /lib64/libgstreamer-0.10.so.0
#36 0x0000003033e5e142 in gst_pad_push_event () from /lib64/libgstreamer-0.10.so.0
#37 0x00007f8e44fdc0ec in gst_multi_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#38 0x0000003033e82da4 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#39 0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#40 0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#41 0x0000003017407d15 in start_thread (arg=0x7f8e275be700) at pthread_create.c:308
#42 0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 7 (Thread 0x7f8e2cdbb700 (LWP 3564)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000301948501f in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f8e44fdfe95 in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x00007f8e44feb680 in gst_tee_handle_data () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f8e44febb7f in gst_tee_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#7  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#8  0x00007f8e44fe0e66 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#9  0x0000003033e82da4 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#10 0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#11 0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#12 0x0000003017407d15 in start_thread (arg=0x7f8e2cdbb700) at pthread_create.c:308
#13 0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 6 (Thread 0x7f8e26ba9700 (LWP 3565)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000301948501f in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f8e44fe0725 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003033e82da4 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#4  0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#6  0x0000003017407d15 in start_thread (arg=0x7f8e26ba9700) at pthread_create.c:308
#7  0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 5 (Thread 0x7f8e263a8700 (LWP 3566)):
#0  0x000000301740e0cd in write () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003019484151 in g_wakeup_signal () from /lib64/libglib-2.0.so.0
#2  0x0000003033e330c3 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#3  0x0000003033e40ec3 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003033e2c6d7 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003033e60058 in gst_pipeline_handle_message () from /lib64/libgstreamer-0.10.so.0
#6  0x00007f8e44d8a3a9 in gst_play_bin_handle_message () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#7  0x0000003033e29488 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#8  0x0000003033e32f52 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#9  0x0000003033e40ec3 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003033e2c6d7 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#11 0x00007f8e44d91235 in gst_play_sink_handle_message () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#12 0x0000003033e29488 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#13 0x0000003033e32f52 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#14 0x0000003033e40ec3 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003033e2c6d7 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003033e29488 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#17 0x0000003033e32f52 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#18 0x0000003033e40ec3 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#19 0x0000003033e2c6d7 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#20 0x0000003033e29488 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#21 0x0000003033e32f52 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#22 0x0000003033e40ec3 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#23 0x0000003033e2c6d7 in gst_bin_handle_message_func () from /lib64/libgstreamer-0.10.so.0
#24 0x0000003033e29488 in bin_bus_handler () from /lib64/libgstreamer-0.10.so.0
#25 0x0000003033e32f52 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#26 0x0000003033e40ec3 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#27 0x0000003033e41329 in gst_element_message_full () from /lib64/libgstreamer-0.10.so.0
#28 0x00007f8e4520bb07 in gst_pulsering_is_dead () from /usr/lib64/gstreamer-0.10/libgstpulse.so
#29 0x00007f8e4520c35c in gst_pulsesink_get_time () from /usr/lib64/gstreamer-0.10/libgstpulse.so
#30 0x00007f8e4c0f4728 in gst_audio_clock_get_internal_time () from /lib64/libgstaudio-0.10.so.0
#31 0x0000003033e399d1 in gst_clock_get_internal_time () from /lib64/libgstreamer-0.10.so.0
#32 0x0000003033e39b68 in gst_clock_get_time () from /lib64/libgstreamer-0.10.so.0
#33 0x0000003033e7bd5f in gst_system_clock_id_wait_jitter_unlocked () from /lib64/libgstreamer-0.10.so.0
#34 0x0000003033e39ce4 in gst_clock_id_wait () from /lib64/libgstreamer-0.10.so.0
#35 0x000000303421e28f in gst_base_sink_wait_clock () from /lib64/libgstbase-0.10.so.0
#36 0x0000003034220621 in gst_base_sink_render_object.isra.8 () from /lib64/libgstbase-0.10.so.0
#37 0x00000030342222df in gst_base_sink_queue_object_unlocked.isra.9 () from /lib64/libgstbase-0.10.so.0
#38 0x00000030342227e8 in gst_base_sink_chain_unlocked.isra.10 () from /lib64/libgstbase-0.10.so.0
#39 0x0000003034222b23 in gst_base_sink_chain_main () from /lib64/libgstbase-0.10.so.0
#40 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#41 0x00000030342305dc in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#42 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#43 0x00000030342305dc in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#44 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#45 0x00000030342305dc in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#46 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#47 0x00000030342305dc in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#48 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#49 0x00000030342305dc in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#50 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#51 0x00007f8e44fe0e66 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#52 0x0000003033e82da4 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#53 0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#54 0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#55 0x0000003017407d15 in start_thread (arg=0x7f8e263a8700) at pthread_create.c:308
#56 0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 4 (Thread 0x7f8e25ba7700 (LWP 3567)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000301948501f in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f8e44fe0725 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003033e82da4 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#4  0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#6  0x0000003017407d15 in start_thread (arg=0x7f8e25ba7700) at pthread_create.c:308
#7  0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 3 (Thread 0x7f8e253a6700 (LWP 3568)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000301948501f in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f8e44fe0725 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003033e82da4 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#4  0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#6  0x0000003017407d15 in start_thread (arg=0x7f8e253a6700) at pthread_create.c:308
#7  0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 2 (Thread 0x7f8e24ba5700 (LWP 3569)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000301948501f in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007f8e44fdfe95 in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#6  0x00000030342305dc in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#7  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#8  0x00000030342305dc in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#9  0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003033e5ce11 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#11 0x00007f8e44fe0e66 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#12 0x0000003033e82da4 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#13 0x000000301946be12 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#14 0x000000301946b5f5 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#15 0x0000003017407d15 in start_thread (arg=0x7f8e24ba5700) at pthread_create.c:308
#16 0x00000030170f22cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 1 (Thread 0x7f8e5a88a880 (LWP 1931)):
[KCrash Handler]
#6  KActivities::ResourceInstance::notifyFocusedIn (this=0x0) at /usr/src/debug/kactivities-4.9.95/src/lib/core/resourceinstance.cpp:125
#7  0x00000000004322ab in setCurrentView (view=0x17e7cc0, this=0x1296f80) at /usr/src/debug/gwenview-4.9.95/app/viewmainpage.cpp:364
#8  Gwenview::ViewMainPage::slotViewFocused (this=<optimized out>, view=<optimized out>) at /usr/src/debug/gwenview-4.9.95/app/viewmainpage.cpp:728
#9  0x000000302058cebf in QMetaObject::activate (sender=0x17e7cc0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffb16bf8e0) at kernel/qobject.cpp:3539
#10 0x0000003027a88452 in Gwenview::DocumentView::focused (this=<optimized out>, _t1=0x17e7cc0) at /usr/src/debug/gwenview-4.9.95/x86_64-redhat-linux-gnu/lib/documentview.moc:291
#11 0x0000003027a8abb8 in Gwenview::DocumentView::emitFocused (this=<optimized out>) at /usr/src/debug/gwenview-4.9.95/lib/documentview/documentview.cpp:679
#12 0x0000003027a8c06b in qt_static_metacall (_c=QMetaObject::InvokeMetaMethod, _a=<optimized out>, _id=<optimized out>, _o=<optimized out>) at /usr/src/debug/gwenview-4.9.95/x86_64-redhat-linux-gnu/lib/documentview.moc:153
#13 Gwenview::DocumentView::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/gwenview-4.9.95/x86_64-redhat-linux-gnu/lib/documentview.moc:113
#14 0x000000302058c39e in QObject::event (this=0x17e7cc0, e=<optimized out>) at kernel/qobject.cpp:1194
#15 0x00000030247de30b in QGraphicsWidget::event (this=0x17e7cc0, event=0x1b0f830) at graphicsview/qgraphicswidget.cpp:1461
#16 0x00000030241ca5cc in QApplicationPrivate::notify_helper (this=0xf20120, receiver=0x17e7cc0, e=0x1b0f830) at kernel/qapplication.cpp:4562
#17 0x00000030241cea4a in QApplication::notify (this=0x7fffb16c0380, receiver=0x17e7cc0, e=0x1b0f830) at kernel/qapplication.cpp:4423
#18 0x0000003026c46f26 in KApplication::notify (this=0x7fffb16c0380, receiver=0x17e7cc0, event=0x1b0f830) at /usr/src/debug/kdelibs-4.9.95/kdeui/kernel/kapplication.cpp:311
#19 0x0000003020577a8e in QCoreApplication::notifyInternal (this=0x7fffb16c0380, receiver=receiver@entry=0x17e7cc0, event=event@entry=0x1b0f830) at kernel/qcoreapplication.cpp:946
#20 0x000000302057b541 in sendEvent (event=0x1b0f830, receiver=0x17e7cc0) at kernel/qcoreapplication.h:231
#21 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xeea680) at kernel/qcoreapplication.cpp:1570
#22 0x00000030205a5f43 in sendPostedEvents () at kernel/qcoreapplication.h:236
#23 postEventSourceDispatch (s=0xf1e8f0) at kernel/qeventdispatcher_glib.cpp:279
#24 0x0000003019447a75 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#25 0x0000003019447da8 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#26 0x0000003019447e64 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#27 0x00000030205a60d6 in QEventDispatcherGlib::processEvents (this=0xeebef0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#28 0x000000302426a73e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#29 0x00000030205767df in QEventLoop::processEvents (this=this@entry=0x7fffb16c0260, flags=...) at kernel/qeventloop.cpp:149
#30 0x0000003020576a68 in QEventLoop::exec (this=0x7fffb16c0260, flags=...) at kernel/qeventloop.cpp:204
#31 0x000000302057b858 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#32 0x00000000004277c2 in main (argc=6, argv=0x7fffb16c04e8) at /usr/src/debug/gwenview-4.9.95/app/main.cpp:143

Reported using DrKonqi
Comment 1 Francesco Frassinelli 2013-01-01 14:18:46 UTC
I tried to reproduce it. I didn't crashed, but it freeze everytime the video ends: if I press space to jump to the next item, I have no problem (only a little delay switching from the next item to the after one). When blocked, I can move the mouse on the top and click on the bar and I can go on, after a bit delay. This happens with every video. I tried to play one of those with Dragon Player, and it works without any problem.
Comment 2 Benni Hill 2013-01-01 21:44:15 UTC
Hi,

I also own a N9 but I couldn't reproduce your issue.
But perhaps you could test this patch I wrote to avoid a memory leak with videos from my Panasonic G3 camera (which also freezes the system):
https://git.reviewboard.kde.org/r/108070/
Comment 3 Francesco Frassinelli 2013-01-02 10:27:49 UTC
Created attachment 76137 [details]
New crash information added by DrKonqi

gwenview (2.10.0) on KDE Platform 4.9.95 using Qt 4.8.4

I reproduced the situation of freeze and crash without using the presentation (F11) mode. I looked at memory usage with KDE System Monitor: when the video starts it uses ~115 MB, no strange consumption, but just before it crashed it jumped to ~280 MB.

I'll try to reproduce it with a longer video and to recompile Gwenview with your patch.

-- Backtrace (Reduced):
#6  KActivities::ResourceInstance::notifyFocusedIn (this=0x0) at /usr/src/debug/kactivities-4.9.95/src/lib/core/resourceinstance.cpp:125
#7  0x00000000004322ab in setCurrentView (view=0x15b2880, this=0x128eed0) at /usr/src/debug/gwenview-4.9.95/app/viewmainpage.cpp:364
#8  Gwenview::ViewMainPage::slotViewFocused (this=<optimized out>, view=<optimized out>) at /usr/src/debug/gwenview-4.9.95/app/viewmainpage.cpp:728
[...]
#10 0x0000003027a88452 in Gwenview::DocumentView::focused (this=<optimized out>, _t1=0x15b2880) at /usr/src/debug/gwenview-4.9.95/x86_64-redhat-linux-gnu/lib/documentview.moc:291
#11 0x0000003027a8abb8 in Gwenview::DocumentView::emitFocused (this=<optimized out>) at /usr/src/debug/gwenview-4.9.95/lib/documentview/documentview.cpp:679
Comment 4 Francesco Frassinelli 2013-01-02 11:07:14 UTC
I didn't test your patch, but it doesn't seem to be a memory leak. Gwenview memory jumps only when it crash and DrKonqi try to generate a backtrace for it. I have 4 GB of ram, and it never used more than 200 MB.
Comment 5 Benni Hill 2013-01-02 14:34:17 UTC
Created attachment 76143 [details]
check if mActivityResources contains a NULL pointer for view

OK, I agree.

Could you test the attached patch. It checks that the KActivities::ResourceInstance pointer is not NULL (see the first line of your backtrace: this=0x0).
Comment 6 Francesco Frassinelli 2013-01-02 16:59:54 UTC
Created attachment 76146 [details]
New crash information added by DrKonqi

gwenview (2.10.0) on KDE Platform 4.9.95 using Qt 4.8.4

Patch "check if mActivityResources contains a NULL pointer for view" tested against revision ad716f19a6e659fbb16a6df0d326336c1fb372a3.

-- Backtrace (Reduced):
#6  0x0000003017035ba5 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
#7  0x0000003017037358 in __GI_abort () at abort.c:90
[...]
#11 0x0000000000438d03 in Gwenview::ViewMainPagePrivate::setCurrentView (this=0x2955e70, view=0x50c2c90) at /home/frafra/Scaricati/gwenview/app/viewmainpage.cpp:363
#12 0x0000000000436a89 in Gwenview::ViewMainPage::slotViewFocused (this=0x2940ab0, view=0x50c2c90) at /home/frafra/Scaricati/gwenview/app/viewmainpage.cpp:731
#13 0x00000000004346ec in Gwenview::ViewMainPage::qt_static_metacall (_o=0x2940ab0, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fffe92b4870) at /home/frafra/Scaricati/gwenview/build/app/viewmainpage.moc:76
Comment 7 Benni Hill 2013-01-02 19:52:08 UTC
Created attachment 76148 [details]
Don't set current view if mActivityResources doesn't contain it

Thanks. Could you apply this patch on top of the other one, please?
Comment 8 Francesco Frassinelli 2013-01-02 20:46:49 UTC
Sure! Some results:
1. I switched between some videos 10~15 times, without crash, but at the end I encountered the memory leak bug with some kernel warning, so I restarted my system and I applied the memory leak fix.
2. I get a partial freeze (from 5 to 30 seconds) if I use the right key to go to the next video, when the video ends. This doesn't happen if I use the toolbar button (>).
3. Sometimes the volume bar is not vertically centered (is higher).

I think that the memory leak bug and the crash bug are fixed and point 2 and 3 are two different bugs (it doesn't seems that they were reported - should I open new two bug reports?).
Comment 9 Benni Hill 2013-01-02 22:46:19 UTC
Great.
I created a review request and will commit this when Aurélien gives his OK.
https://git.reviewboard.kde.org/r/108095/

I can confirm the issue with the volume bar.
Point 2 might be a shortcut conflict because the right key is also used to seek in the video.
Comment 10 Aurelien Gateau 2013-01-03 16:24:43 UTC
Created attachment 76168 [details]
Another approach to fix the crash

Sorry, but I don't like the proposed patch much: I feel like it workarounds the issue rather than fixing it.

I suspect the bug is caused by a view emitting signals while it is being deleted. Can you try attached patch instead?
Comment 11 Francesco Frassinelli 2013-01-03 19:49:33 UTC
It works well for me (second patch + memory leak fix).
Comment 12 Aurelien Gateau 2013-01-03 22:11:49 UTC
Just to be sure, did you revert the patch 1 before applying patch 2? I wouldn't want to commit patch 2 only if the fix is wrong.
Comment 13 Aurelien Gateau 2013-01-21 09:01:15 UTC
Git commit 6bd0a3f79fd06447e5db4dadadedc5882947f4ca by Aurélien Gâteau.
Committed on 04/01/2013 at 13:00.
Pushed by gateau into branch 'KDE/4.10'.

Fix crash when a movie view is deleted

When a view is being deleted we do not want to receive signals from it
anymore, so disconnect it from us.
FIXED-IN: 4.10.0

M  +9    -0    app/viewmainpage.cpp

http://commits.kde.org/gwenview/6bd0a3f79fd06447e5db4dadadedc5882947f4ca